Package org.apache.catalina.tribes.io

# Class BufferPool

java.lang.Object
org.apache.catalina.tribes.io.BufferPool

public class BufferPool extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`BufferPool.BufferPoolAPI`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_POOL_SIZE`
`protected static BufferPool`
`instance`
`protected final BufferPool.BufferPoolAPI`
`pool`
`protected static final StringManager`
`sm`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`XByteBuffer`
`getBuffer(int minSize, boolean discard)`
`static BufferPool`
`getBufferPool()`
`void`
`returnBuffer(XByteBuffer buffer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_POOL_SIZE

public static final int DEFAULT_POOL_SIZE

See Also:
  - Constant Field Values

### sm

protected static final StringManager sm

### instance

protected static volatile BufferPool instance

### pool

protected final BufferPool.BufferPoolAPI pool

## Method Details

### getBuffer

public XByteBuffer getBuffer(int minSize, boolean discard)

### returnBuffer

public void returnBuffer(XByteBuffer buffer)

### clear

public void clear()

### getBufferPool

public static BufferPool getBufferPool()